rte_gpu_comm_flag(3)

NAME
rte_gpu_comm_flag

SYNOPSIS

#include <rte_gpudev.h>

  Data Fields

uint16_t dev_id
uint32_t * ptr
enum rte_gpu_comm_flag_type mtype

Detailed Description

Communication flag to coordinate CPU with the device.

Definition at line 87 of file rte_gpudev.h.

Field Documentation

  uint16_t dev_id
Device that will use the device flag.

Definition at line 89 of file rte_gpudev.h.

  uint32_t* ptr
Pointer to flag memory area.

Definition at line 91 of file rte_gpudev.h.

  enum rte_gpu_comm_flag_type mtype
Type of memory used to allocate the flag.

Definition at line 93 of file rte_gpudev.h.

Author

Generated automatically by Doxygen for DPDK from the source code.